transmission-remote-cli(1)

NAME
transmission-remote-cli - a console client for the Transmission BitTorrent client

SYNOPSIS
transmission-remote-cli [options] [filename-or-URL]

DESCRIPTION
transmission-remote-cli is a curses interface for the daemon of the BitTorrent client Transmission.

OPTIONS

--version
    Show version number and exit

-h --help
    Show usage information and a list of options

-c CONNECTION --connect=CONNECTION
    Point to the server. CONNECTION must match the following pattern:
    [username:password@]host[:port][path]
    Default: localhost:9091

-s --ssl
    Use SSL to connect to the server.
    Default: don't use SSL

--create-config
    Create configuration file with default values.
    NOTE: A config file won't be created unless you provide this option at least once. After that, it is rewritten whenever transmission-remote-cli exits.

-f CONFIGFILE --config=CONFIGFILE
    Set path to configuration file.
    Default: ~/.config/transmission-remote-cli/settings.cfg

-n --netrc
    Get authentication info from ~/.netrc.

-- OPTIONS
    Use the known server connection to pass OPTIONS on to transmission-remote.

FILES
transmission-remote-cli overwrites the configuration file on exit. Keep that in mind if you edit it manually.

SEE ALSO
transmission-create(1), transmission-daemon(1), transmission-edit(1), transmission-gtk(1), transmission-qt(1), transmission-remote(1), transmission-show(1).